/**
 * @license Apache-2.0
 * @copyright Cube Dev, Inc.
 * @fileoverview
 * toConfigMap function and related types definition.
 */
/**
 * MetaConfig type.
 */
type MetaConfig = {
    config: {
        name: string;
        title: string;
    };
};
/**
 * MetaConfig Map type.
 */
type MetaConfigMap = {
    [name: string]: {
        name: string;
        title: string;
    };
};
/**
 * Convert specified array of MetaConfig objects to the
 * MetaConfigMap.
 */
declare function toConfigMap(metaConfig: MetaConfig[]): MetaConfigMap;
export default toConfigMap;
export { MetaConfig, MetaConfigMap, toConfigMap, };
//# sourceMappingURL=toConfigMap.d.ts.map